package com.gic.haoban.manage.api.service;

public interface SyncHaobanToGicApiService {

	/**
	 * 删除gicClerkId
	 * @param gicClerkId
	 */
	public void delGicClerk(String gicClerkId);
	
	/**
	 * 同步gicClerkName
	 * @param gicClerkId
	 * @param name
	 */
	//无效接口
//	public void updateGicClerk(String gicClerkId,String name);
	
	/**
	 * 判断gicClerk是否能新增
	 * @param gicEnterpriseId
	 * @param phoneNumber
	 * @param code
	 * @param gicStoreId
	 * @return
	 */
//	public boolean validateGicClerkAdd(String gicEnterpriseId,String phoneNumber,String code,String gicStoreId);
	
	/**
	 * 
	 * @param gicClerkId
	 * @param gicOldStoreId
	 * @param gicNewStoreId
	 * @param clerkChangeReason 1后台操作2订单操作3企业操作4app转岗
	 * @param memberChangeReason 1会员自行转移2后台手动选择3企业转移会员4店员删除5订单操作6开卡扫描二维码7企业号认领8企业号分配9app转岗移除
	 * @param operId
	 */
//	public boolean gicClerkMove(String gicClerkId,String gicOldStoreId,String gicNewStoreId,int clerkChangeReason,int memberChangeReason,String operId);
	
	
	/**
	 * 切换店长
	 * @param gicEnterpriseId
	 * @param gicStoreId
	 * @param gicClerkId
	 * @return
	 */
//	public boolean setStoreManager(String gicEnterpriseId,String gicStoreId,String gicClerkId);

	boolean syncClerkToGicClerkAdd(String storeId, String clerkCode, Integer sex, String name, String phoneNumber,
								   String nationCode, String postionName);

	String syncClerkToGicClerkAddNew(String storeId, String clerkCode, Integer sex, String name, String phoneNumber,
			String nationCode, String postionName);
}
