package com.gic.haoban.manage.api.service.content;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.content.PotentialCustomerDTO;
import com.gic.haoban.manage.api.dto.qdto.content.PotentialCustomerMarkRecordDTO;
import com.gic.haoban.manage.api.dto.qdto.content.PotentialCustomerQDTO;

/**
 * @Author MUSI
 * @Date 2023/3/29 9:47 AM
 * @Description
 * @Version
 * 销售线索
 **/
public interface PotentialCustomerApiService {

    /**
     * 查询销售线索记录
     * @param potentialCustomerQDTO
     * @return
     */
    ServiceResponse<Page<PotentialCustomerDTO>> queryPotentialCustomer(PotentialCustomerQDTO potentialCustomerQDTO);

    /**
     * 标记销售线索 已看、星标
     * @param potentialCustomerMarkRecordDTO
     * @return
     */
    ServiceResponse<Long> markPotentialCustomer(PotentialCustomerMarkRecordDTO potentialCustomerMarkRecordDTO);
}
