package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.MemberUnionidRelated;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MemberUnionidRelatedMapper {

    int insert(MemberUnionidRelated record);

    /**
     * 根据应用内的外部联系人获取信息
     *
     * @param wxUserId
     * @param wxEnterpriseId
     * @param selfExternalUserId
     * @return
     */
    MemberUnionidRelated getBySelfExternalUserId(@Param("staffId") String staffId, @Param("wxEnterpriseId") String wxEnterpriseId, @Param("selfExternalUserId") String selfExternalUserId);
    
    List<MemberUnionidRelated> listByWxEnterpriseIdAndExternalUserId(@Param("wxEnterpriseId") String wxEnterpriseId , @Param("list")List<String> externalUserIdList);

}