package com.gic.haoban.manage.service.entity.content;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 导购分享记录(TabHaobanClerkShareLog)实体类
 *
 * @author makejava
 * @since 2023-03-18 20:54:23
 */
@Data
public class TabHaobanClerkShareLog implements Serializable {

    private static final long serialVersionUID = -18857713225396709L;

    private Long id;
    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 微信企业id
     */
    private String wxEnterpriseId;
    /**
     * 导购id
     */
    private String clerkId;
    /**
     * 成员id
     */
    private String staffId;

    /**
     * 门店id
     */
    private String storeId;
    /**
     * 分享类型 1分享朋友圈; 2 群发给客户; 3 群发到群
     */
    private Integer shareType;
    /**
     * 业务id
     */
    private String bizId;
    /**
     * 业务类型 1素材
     */
    private Integer bizType;
    /**
     * 删除标识 1 删除(已处理); 0未处理
     */
    private Integer deleteFlag;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;
}

