package com.gic.haoban.manage.service.pojo.bo.content;

import lombok.Data;
import lombok.Getter;

import java.io.Serializable;

/**
 * @Author MUSI
 * @Date 2023/4/2 9:12 AM
 * @Description
 * @Version
 **/
@Data
public class MemberAttrChangeBO implements Serializable {

    /**
     * 会员id
     */
    private String memberId;

    /**
     * 会员unionId
     */
    private String unionId;

    /**
     * 被合并的会员id
     */
    private String mergeMemberId;
    /**
     * 业务变动类型:1小程序授权 2会员合并
     */
    private Integer opt;


    @Getter
    public enum MemberChangeOpt {
        MINI_APP_AUTHORIZED(1, "会员授权"),
        MEMBER_MERGE(2, "会员合并");
        MemberChangeOpt(Integer code, String desc) {
            this.code = code;
            this.desc = desc;
        }
        private Integer code;
        private String desc;

    }

}
