package com.gic.haoban.manage.service.service;

import com.gic.api.base.commons.Page;
import com.gic.haoban.manage.api.dto.licence.RenewalUserDTO;
import com.gic.haoban.manage.api.dto.qdto.licence.RenewalUserQDTO;
import com.gic.haoban.manage.service.entity.TabHaobanRenewalUser;

import java.util.List;

/**
 * (TabHaobanRenewalUser)表服务接口
 *
 * @author makejava
 * @since 2023-06-08 15:11:49
 */
public interface TabHaobanRenewalUserService {

    /**
     * 通过ID查询单条数据
     *
     * @param renewalId 主键
     * @return 实例对象
     */
    TabHaobanRenewalUser queryById(Long renewalId);

    /**
     * 新增数据
     *
     * @param tabHaobanRenewalUser 实例对象
     * @return 实例对象
     */
    TabHaobanRenewalUser insert(TabHaobanRenewalUser tabHaobanRenewalUser);

    void insertBatch(List<TabHaobanRenewalUser> tabHaobanRenewalUserList);

    /**
     * 修改数据
     *
     * @param tabHaobanRenewalUser 实例对象
     * @return 实例对象
     */
    TabHaobanRenewalUser update(TabHaobanRenewalUser tabHaobanRenewalUser);

    /**
     * 通过主键删除数据
     *
     * @param renewalId 主键
     * @return 是否成功
     */
    boolean deleteById(Long renewalId);

    /**
     * 分页查询续期成员列表
     *
     * @param qdto
     * @return
     */
    Page<RenewalUserDTO> getRenewalUserPage(RenewalUserQDTO qdto);

}
