package com.gic.haoban.manage.service.service.content;

import com.gic.haoban.manage.service.pojo.bo.content.ClerkShareLogBO;
import com.gic.haoban.manage.service.pojo.qo.content.ClerkShareLogQO;

import java.util.List;

/**
 * 导购分享记录(TabHaobanClerkShareLog)表服务接口
 *
 * @author makejava
 * @since 2023-03-18 20:54:32
 */
public interface ClerkShareLogService {

    /**
     * 导购分享日志
     * @param clerkShareLogBO
     * @return
     */
    Long saveClerkShareLog(ClerkShareLogBO clerkShareLogBO);

    /**
     * 查询导购分享日志
     * @param clerkShareLogQO
     * @return
     */
    List<ClerkShareLogBO> queryClerkShareLog(ClerkShareLogQO clerkShareLogQO);

    /**
     * 标记分享日志已处理
     */
    void markClerkShareDone(String enterpriseId, List<Long> ids);
}
