package com.gic.haoban.manage.service.service.content;

import com.gic.haoban.manage.service.pojo.bo.content.TriggerCustomerDetailBO;
import com.gic.haoban.manage.service.pojo.qo.content.TriggerCustomerDetailQO;

import java.util.List;

/**
 * @Author MUSI
 * @Date 2023/3/19 9:38 PM
 * @Description
 * @Version
 * 客户触达明细
 **/
public interface TriggerCustomerDetailService {

    /**
     * 保存客户触达日志
     * @param triggerCustomerDetailBO
     */
    void save(TriggerCustomerDetailBO triggerCustomerDetailBO);

    /**
     * 批量保存
     * @param triggerCustomerDetailBos
     */
    void batchSave(List<TriggerCustomerDetailBO> triggerCustomerDetailBos);

    /**
     * 查询客户触达日志
     * @param triggerCustomerDetailQO
     * @return
     */
    List<TriggerCustomerDetailBO> queryTriggerCustomerDetailList(TriggerCustomerDetailQO triggerCustomerDetailQO);
}
