package com.gic.haoban.manage.service.service.fee.impl;

import com.gic.haoban.manage.service.dao.mapper.fee.TabHaobanQywxFeeAccountInterceptLogMapper;
import com.gic.haoban.manage.service.entity.fee.TabHaobanQywxFeeAccountInterceptLog;
import com.gic.haoban.manage.service.service.fee.HaobanQywxFeeAccountInterceptLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 企业微信账号拦截日志(TabHaobanQywxFeeAccountInterceptLog)表服务实现类
 *
 * @author mozhu
 * @since 2022-08-10 10:27:50
 */
@Service
public class HaobanQywxFeeAccountInterceptLogServiceImpl implements HaobanQywxFeeAccountInterceptLogService {

    @Autowired
    private TabHaobanQywxFeeAccountInterceptLogMapper tabHaobanQywxFeeAccountInterceptLogMapper;



    /**
     * 新增数据
     *
     * @param tabHaobanQywxFeeAccountInterceptLog 实例对象
     * @return 实例对象
     */
    @Override
    public TabHaobanQywxFeeAccountInterceptLog insert(TabHaobanQywxFeeAccountInterceptLog tabHaobanQywxFeeAccountInterceptLog) {
        this.tabHaobanQywxFeeAccountInterceptLogMapper.insert(tabHaobanQywxFeeAccountInterceptLog);
        return tabHaobanQywxFeeAccountInterceptLog;
    }


    @Override
    public List<TabHaobanQywxFeeAccountInterceptLog> queryByWxEnterpriseId(String wxEnterpriseId) {
        return tabHaobanQywxFeeAccountInterceptLogMapper.queryByWxEnterpriseId(wxEnterpriseId);
    }

}
