import com.alibaba.fastjson.JSONObject;
import com.gic.commons.util.GICMQClientUtil;
import com.gic.haoban.manage.api.dto.chat.GroupChatPlanDTO;
import com.gic.haoban.manage.api.dto.qdto.role.ContentMaterialROleInitQDTO;
import com.gic.haoban.manage.api.service.role.HaobanRoleApiService;
import com.gic.haoban.manage.service.service.chat.GroupChatPlanService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations = {"classpath:applicationContext-conf.xml"})
public class RoleTest {

    @Autowired
    HaobanRoleApiService haobanRoleApiService;

    @Test
    public void initTest(){
        ContentMaterialROleInitQDTO initQDTO = new ContentMaterialROleInitQDTO();
        initQDTO.setEnterpriseId("ff8080815dacd3a2015dacd3ef5c0000");
        initQDTO.setVersion(2);
        haobanRoleApiService.contentMaterialRoleInit(initQDTO);
    }
}
