package com.gic.haoban.manage.web.vo.licence;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author jx
 * @since 2023-03-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class AppOrderNoticeVO implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 弹窗类型  0 无需弹窗 1 未购买付费应用弹窗  2付费应用已过期弹窗 3 查询购买许可账号是否存在未支付订单 4登录好办，即将过期弹窗
     */
    private Integer type;
    /**
     * 是否支付 0否 1是
     */
    private Integer payFlag;
    /**
     * 未支付订单id
     */
    private String orderId;
    /**
     * 支付的url
     */
    private String orderUrl;
    /**
     * 到期时间
     */
    private Date endTime;


}
