package com.gic.haoban.manage.web.vo.licence;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author jx
 * @since 2023-03-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class AppOrderPageVO implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键id
     */
    private Long id;
    /**
     * wx企业Id
     */
    private String wxEnterpriseId;
    /**
     * 企业微信订单id
     */
    private String orderId;
    /**
     * 订单状态1 - 待支付2 - 已支付3 - 订单取消4 - 支付过期5 - 退款申请中6 - 已退款7 - 交易完成8 - 待企业确认9 - 已部分退款
     */
    private Integer orderStatus;
    /**
     * 订单类型 0 新购、1 扩容、2 续期
     */
    private Integer orderType;
    /**
     * 购买人数
     */
    private Integer userNum;
    /**
     * 购买时长
     */
    private Integer duration;
    /**
     * 购买生效期的开始时间
     */
    private Date beginTime;
    /**
     * 购买生效期的结束时间
     */
    private Date endTime;
    /**
     * 支付时间
     */
    private Date payTime;
    /**
     * 原价，单位分
     */
    private Integer originPrice;
    /**
     * 折后价，单位分
     */
    private Integer paidPrice;
    /**
     * 收款订单链接
     */
    private String orderUrl;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 创建人
     */
    private String creatorId;
    /**
     * 创建人名称
     */
    private String creatorName;
    /**
     * 订单支付到期时间
     */
    private Date expireTime;
    /**
     * 有效状态 0 -- 1待生效 2生效中 3已失效
     */
    private Integer effectiveState;


}
