package com.gic.haoban.manage.web.vo.licence;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author jx
 * @since 2023-03-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class LicenceOrderPageVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 订单类型，1：购买帐号，2：续期帐号
     */
    private Integer orderType;

    /**
     * 互通帐号个数
     */
    private Integer externalContactCount;

    /**
     * 基础帐号个数
     */
    private Integer baseCount;

    /**
     * 订单金额，单位分
     */
    private Integer price;

    /**
     * 购买时间类型 1：按月购买，2：按天购买
     */
    private Integer timeType;

    /**
     * 购买的时间数值
     */
    private Integer timeValue;

    /**
     * 支付类型 1在线支付 2对公转账
     */
    private Integer payType;

    /**
     * 订单编号
     */
    private String orderNumber;

    /**
     * 订单状态，0：待支付，1：已支付，2：已取消，3：已过期，4：已退款，5：审核中
     */
    private Integer orderStatus;

    /**
     * 订单状态更改原因
     */
    private String orderStatusReason;

    /**
     * 支付时间 支付类型为1：微信支付时间 2：审核确认通过的时间
     */
    private Date payTime;

    /**
     * 企业微信订单id
     */
    private String qywxOrderId;

    /**
     * 企业微信订单状态，0：待支付，1：已支付，2：已取消，3：已过期，4：退款中，5：退款被拒绝，6：已退款，7已失效
     */
    private Integer qywxOrderStatus;

    /**
     * 企业微信订单更改原因
     */
    private String qywxOrderStatusReason;

    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 创建人
     */
    private String creatorId;

    /**
     * 创建人名称
     */
    private String creatorName;
    /**
     * 企业微信支付时间
     */
    private Date qywxPayTime;


}
