package com.gic.haoban.manage.web.vo.content;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Author MUSI
 * @Date 2022/10/28 2:00 PM
 * @Description
 * @Version
 **/
@Data
public class SimpleGoodsInfoVO implements Serializable {

    private static final long serialVersionUID = 55351872009970484L;
    /**
     * 商品id
     */
    private String goodsId;

    /**
     * 商品图片
     */
    private String goodsImg;

    /**
     * 商品货号
     */
    private String goodsCode;
    /**
     * 商品名称
     */
    private String goodsName;

    /**
     * 商品库存
     */
    private Integer spuStock;

    /**
     * 商品分类
     */
    private String goodsCategory;

    /**
     * 品牌名称
     */
    private String brandName;

    /**
     * 商品价格
     */
    private BigDecimal salePrice;

    /**
     * 商品状态
     * 0 商品被删除
     *
     */
    private Integer status;

    /**
     * 商品佣金
     */
    private BigDecimal commission;

    /**
     * 商品来源
     * @see com.gic.store.goods.enums.GoodsSourceTypeEnum
     */
    private Integer sourceType;

}

