package com.gic.haoban.manage.api.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.StaffActiveDataDTO;

/**
 * @description: 通讯录数据总览
 * @Author: wenhua
 * @Date: 2023/2/2 10:11
 */
public interface WxEnterpriseActiveDataApiService {

    /**
     * 通过wxEnterpriseId新增或者更新WxEnterpriseActiveData
     * @param wxEnterpriseId
     * @return
     */
    ServiceResponse<Integer> saveOrUpdate(String wxEnterpriseId);

    ServiceResponse<StaffActiveDataDTO> getWxEnterpriseActiveDataByWxEnterpriseId(String wxEnterpriseId);


}
