package com.gic.haoban.manage.api.service.chat;

import java.util.List;

import com.gic.api.base.commons.BasePageInfo;
import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.chat.GroupChatDataDTO;
import com.gic.haoban.manage.api.dto.qdto.chat.ChatDataSearchQDTO;

public interface GroupChatDataApiService {

    /**
     * 
    * @Title: chatDataTimer
    * @Description: 统计数据定时从企微拉取
    * @author xugh
    * @param params
    * @throws
     */
    public ServiceResponse<Void> chatDataTimer(String params);

    /**
     * 
    * @Title: listTotalData
    * @Description: 总计
    * @author xugh
    * @param qdto
    * @return
    * @throws
     */
    public ServiceResponse<GroupChatDataDTO> listTotalData(ChatDataSearchQDTO qdto);

    /**
     * 
    * @Title: listForChat
    * @Description: 图表数据
    * @author xugh
    * @param qdto
    * @return
    * @throws
     */
    public ServiceResponse<List<GroupChatDataDTO>> listForChat(ChatDataSearchQDTO qdto);

    /**
     * 
    * @Title: listStaffData
    * @Description: 群主数据
    * @author xugh
    * @param qdto
    * @param basePageInfo
    * @return
    * @throws
     */
    public ServiceResponse<Page<GroupChatDataDTO>> listStaffData(ChatDataSearchQDTO qdto, BasePageInfo basePageInfo);

}
