package com.gic.haoban.manage.api.service.out;

import java.util.List;

import com.gic.haoban.manage.api.dto.SecretSettingDTO;
import org.hibernate.event.spi.SaveOrUpdateEvent;

/**
 * @author mozhu
 * @date 2022/1/10 09:44
 */
public interface SecretSettingApiService {
    /**
     * 根据非会员小程序类型获取
     * @param wxEnterpriseId
     * @param secretType
     * @return
     */
    SecretSettingDTO getSecretSetting(String wxEnterpriseId, int secretType);

    /**
     * 获取SecretSetting列表
     * @param wxEnterpriseIdList
     * @param secretType
     * @return
     */
    List<SecretSettingDTO> getSecretSettingList(List<String> wxEnterpriseIdList, int secretType);

    /**
     * 保存或更新配置
     * @param secretSetting
     */
    void saveOrUpdateSecretSetting(SecretSettingDTO secretSetting);
    
    public List<SecretSettingDTO> exsitGicEidMemberApp(String wxEnterpriseId);
}
