package com.gic.haoban.manage.service.dao.mapper.hm;

import java.util.Date;
import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.gic.haoban.manage.service.entity.hm.TabHmLink;

/**
 * 
 * @ClassName: TabHaobanHmLinkMapper
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年07月01日 14:07:23
 * @Modify
 * @CopyRight 
 */
public interface HmLinkMapper {

    public int insert(TabHmLink link);

    /**
     * 更新
    * @Title: update 
    * @Description: TODO
    * @Param @param TabHaobanHmLink
    * @Throws
     */
    public int update(TabHmLink link);

    /**
     * 通过主键查询
    * @Title: selectById 
    * @Description: TODO
    * @Param @param id
    * @Param @return
    * @Return TabHaobanHmLink
    * @Throws
     */
    public TabHmLink selectById(Long linkId);

    /**
     * 
    * @Title: selectByShortCode
    * @Description: 通过短code查询
    * @author xugh
    * @param enterpriseId
    * @param shortCode
    * @return
    * @throws
     */
    public TabHmLink selectByShortCode(@Param("shortCode") String shortCode);

    public List<TabHmLink> listForSms(@Param("wxEnterpriseId") String wxEnterpriseId,
            @Param("enterpriseId") String enterpriseId, @Param("linkName") String linkName,
            @Param("linkType") Integer linkType, @Param("creatorIdList") List<String> creatorIdList);

    public List<TabHmLink> queryPageRelationList(@Param("pageId") Long pageId,
            @Param("enterpriseId") String enterpriseId, @Param("searchText") String searchText);
    
}