package com.gic.haoban.manage.service.dao.mapper.licence;

import com.gic.haoban.manage.service.entity.licence.TabHaobanLicenceOrderProgress;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author jx
 * @since 2023-03-09
 */
public interface TabHaobanLicenceOrderProgressMapper {

    /**
     * 插入订单进度数据
     * @param tabHaobanLicenceOrderProgress
     * @return
     */
    Integer insert(TabHaobanLicenceOrderProgress tabHaobanLicenceOrderProgress);

    List<TabHaobanLicenceOrderProgress> getListByOrderId(@Param("orderId") Long orderId,@Param("type") Integer type);

    Integer deleteByOrderId(@Param("orderId") Long orderId);

    Integer uploadLicenceOrderVoucher(@Param("orderId")Long orderId, @Param("voucher")String voucher);

}
