package com.gic.haoban.manage.service.entity.licence;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author jx
 * @since 2023-03-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class TabHaobanLicenceOrderProgress implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * gic商户Id
     */
    private String enterpriseId;

    /**
     * wx企业Id
     */
    private String wxEnterpriseId;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 订单状态
     */
    private String orderStatus;

    /**
     * 标记字段 1好办后台
     */
    private Integer type;

    /**
     * 上传凭证url
     */
    private String voucher;

    /**
     * 原因
     */
    private String reason;

    /**
     * 逻辑删除，0未删除，1删除
     */
    private Integer deleteFlag;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 创建人名称
     */
    private String creatorName;


}
