package com.gic.haoban.manage.service.pojo.bo.content;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author MUSI
 * @Date 2023/4/6 5:29 PM
 * @Description
 * @Version
 **/
@Data
public class OrderEventMqBO implements Serializable {

    private String enterpriseId;
    private String memberId;
    /**
     * 订单id
     */
    private String orderId;
    /**
     * 订单编号
     */
    private String orderNumber;
    /**
     * 起始状态
     */
    private Integer fromStatus;
    /**
     * 结束状态
     */
    private Integer toStatus;

    /**
     * 消费次数
     * 默认0
     */
    private Integer times;
}
