package com.gic.haoban.manage.service.service;

import com.alibaba.fastjson.JSONObject;
import com.gic.member.api.dto.es.MemberDataDTO;

import java.util.List;

public interface MemberQueryService {
    
    public JSONObject queryDataSingle(String enterpriseId, String memberId, String returnFields) ;

    /**
     * 批量查询会员信息
     * @param enterpriseId
     * @param memberIds
     * @param returnFields
     * @return
     */
    List<MemberDataDTO> queryMemberBatch(String enterpriseId, List<String> memberIds, String returnFields);
    
}
