package com.gic.haoban.manage.service.service;

import com.gic.api.base.commons.Page;
import com.gic.haoban.manage.api.dto.qdto.QywxErrorLogListQDTO;
import com.gic.haoban.manage.service.entity.TabQywxErrorLog;
import com.gic.haoban.manage.service.pojo.bo.TabQywxErrorLogBO;

import java.util.List;

/**
 * 企微报错日志(TabQywxErrorLog)表服务接口
 *
 * @author mozhu
 * @date 2022-04-18 15:28:02
 */
public interface QywxErrorLogService {

    /**
     * 新增数据
     *
     * @param tabQywxErrorLogBO 实例对象
     * @return 实例对象
     */
    TabQywxErrorLogBO insert(TabQywxErrorLogBO tabQywxErrorLogBO);

    /**
     * 查询分页列表
     *
     * @param qywxErrorLogListQDTO qdto qywx错误日志列表
     * @return {@link Page }<{@link TabQywxErrorLogBO }>
     * @author mozhu
     * @date 2022-04-18 16:50:32
     */
    List<TabQywxErrorLog> queryListByPage(QywxErrorLogListQDTO qywxErrorLogListQDTO);

}
