package com.gic.haoban.manage.service.service;

import com.gic.api.base.commons.Page;
import com.gic.haoban.manage.api.dto.licence.AppOrderPageDTO;
import com.gic.haoban.manage.api.dto.qdto.licence.AppOrderPageQDTO;
import com.gic.haoban.manage.service.entity.TabHaobanAppOrder;

import java.util.List;

/**
 * (TabHaobanAppOrder)表服务接口
 *
 * @author makejava
 * @since 2023-06-21 17:24:20
 */
public interface TabHaobanAppOrderService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    TabHaobanAppOrder queryById(Long id);

    /**
     * 新增数据
     *
     * @param tabHaobanAppOrder 实例对象
     * @return 实例对象
     */
    TabHaobanAppOrder insert(TabHaobanAppOrder tabHaobanAppOrder);

    /**
     * 批量新增数据
     * @param entities
     */
    void insertBatch(List<TabHaobanAppOrder> entities);

    /**
     * 修改数据
     *
     * @param tabHaobanAppOrder 实例对象
     * @return 实例对象
     */
    TabHaobanAppOrder update(TabHaobanAppOrder tabHaobanAppOrder);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);

    Page<AppOrderPageDTO> getAppOrderPage(AppOrderPageQDTO qdto);

    /**
     * 根据企业微信订单id查询
     * @param orderId
     * @return
     */
    TabHaobanAppOrder queryByOrderId(String orderId);

}
