package com.gic.haoban.manage.service.service;

import com.gic.haoban.manage.service.entity.content.TabHaobanTriggerCustomerDetail;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

/**
 * (TabHaobanTriggerCustomerDetail)表服务接口
 *
 * @author makejava
 * @since 2023-03-19 21:35:22
 */
public interface TabHaobanTriggerCustomerDetailService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    TabHaobanTriggerCustomerDetail queryById(Long id);

    /**
     * 分页查询
     *
     * @param tabHaobanTriggerCustomerDetail 筛选条件
     * @param pageRequest                    分页对象
     * @return 查询结果
     */
    Page<TabHaobanTriggerCustomerDetail> queryByPage(TabHaobanTriggerCustomerDetail tabHaobanTriggerCustomerDetail, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param tabHaobanTriggerCustomerDetail 实例对象
     * @return 实例对象
     */
    TabHaobanTriggerCustomerDetail insert(TabHaobanTriggerCustomerDetail tabHaobanTriggerCustomerDetail);

    /**
     * 修改数据
     *
     * @param tabHaobanTriggerCustomerDetail 实例对象
     * @return 实例对象
     */
    TabHaobanTriggerCustomerDetail update(TabHaobanTriggerCustomerDetail tabHaobanTriggerCustomerDetail);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);

}
