package com.gic.haoban.manage.service.service.content;

import com.gic.haoban.manage.service.pojo.bo.content.GroupMessageInfoBo;
import com.gic.haoban.manage.service.service.content.adaptor.MaterialEnterpriseAdaptor;

import java.util.List;

/**
 * @Author MUSI
 * @Date 2023/3/19 9:46 PM
 * @Description
 * @Version
 * 群发消息处理器
 **/
public interface GroupMessageService {

    /**
     * 处理企业群发消息
     * @param groupMessageInfoBo
     */
    void handlerGroupMessage(GroupMessageInfoBo groupMessageInfoBo);


    /***
     * 查询有素材权限的企业
     * @see MaterialEnterpriseAdaptor.MaterialLevel
     * @param level
     * @return
     */
    List<String> hasMaterialRightEnterprise(Integer level);
}
