package com.gic.haoban.manage.web.qo.licence;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author jx
 * @since 2023-03-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class AppOrderQO implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 订单类型 0 新购、1 扩容、2 续期
     */
    private Integer orderType;
    /**
     * 购买人数
     */
    private Integer userNum;
    /**
     * 购买时长
     */
    private Integer duration;
    /**
     * 购买生效期的开始时间
     */
    private Date beginTime;
    /**
     * 购买生效期的结束时间
     */
    private Date endTime;
}
