package com.gic.haoban.manage.web.vo.licence;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author jx
 * @since 2023-03-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class AppOrderCheckVO implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 弹窗类型 0 正常 1新购 2 续期
     */
    private Integer type;
    /**
     * 已购买人数
     */
    private Integer userNum;
    /**
     * 购买生效期的开始时间
     */
    private Date beginTime;
    /**
     * 购买生效期的结束时间
     */
    private Date endTime;
    /**
     * 合同到期天数和应用购买天数之差
     */
    private Integer contractDay;
    /**
     * 当前时间
     */
    private Date now;

}
