package com.gic.haoban.manage.web.qo.content.comment;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author MUSI
 * @Date 2023/9/19 4:42 PM
 * @Description
 * @Version
 **/

@Data
public class SonCommentInfoVO implements Serializable {

    private static final long serialVersionUID = 2419520239887917983L;

    /**
     * 素材评论id
     */
    private Long contentMaterialCommentId;

    /**
     * 父级素材评论id
     */
    private Long parentContentMaterialCommentId;

    /**
     * 素材id
     */
    private Long contentMaterialId;

    /**
     * 评论内容
     */
    private String commentContent;

    /**
     * 审核状态0未审核1未通过2已通过
     */
    private Integer auditStatus;

    /**
     * 是否置顶0不置顶1置顶
     */
    private Integer topFlag;

    /**
     * 是否公开展示0隐藏1公开
     */
    private Integer showFlag;

    /**
     * 会员ID
     */
    private String memberId;

    /**
     * 会员昵称
     */
    private String memberNick;

    /**
     * 会员删除标记 0:未删除 1：已删除
     */
    private Integer memberDeleteFlag = 0;

    /**
     * 会员头像
     */
    private String memberHeadImage;

    /**
     * 回复的会员ID
     */
    private String replyMemberId;

    /**
     * 回复的会员昵称
     */
    private String replyMemberNick;

    /**
     * 回复的会员头像
     */
    private String replyMemberHeadImage;

    /**
     * 会员删除标记 0:未删除 1：已删除
     */
    private Integer replyMemberDeleteFlag = 0;

    private Boolean isMainComment = false;

    /**
     * 创建时间
     */
    private Date createTime;
}
