package com.gic.haoban.manage.web.qo.content.potential;

import com.gic.haoban.base.api.common.BasePageInfo;
import lombok.Data;

/**
 * @Author MUSI
 * @Date 2023/3/28 10:05 AM
 * @Description
 * @Version
 **/
@Data
public class PotentialCustomerMarkRecordVO extends BasePageInfo {

    private static final long serialVersionUID = -5811402077258900090L;

    /**
     * 线索id
     */
    private Long potentialCustomerId;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 微信企业id
     */
    private String wxEnterpriseId;

    /**
     * 会员id
     */
    private String memberId;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 导购是否看过
     * 1已看过
     * 0未看过
     */
    private Integer seeFlag;

    /**
     * 是否导购星标客户
     * 1 与导购是星标 0 取消星标
     */
    private Integer starFlag;

}
