package com.gic.haoban.manage.web.vo.content.statistics;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author MUSI
 * @Date 2023/3/23 11:43 AM
 * @Description
 * @Version
 * 门店纬度使用数据
 **/
@Data
public class MaterialStoreUsedDataVO implements Serializable {

    private static final long serialVersionUID = -6389925840088323751L;
    /**
     * 日均使用素材导购数
     */
    private BigDecimal dayAvgUseMatlNum;

    /**
     * 日均使用导购数环比
     */
    private BigDecimal dayAvgUseMatlNumRatio;

    /**
     * 日均使用素材导购占比
     */
    private BigDecimal dayAvgUseRate;

    /**
     * 日均使用素材导购占比环比
     */
    private BigDecimal dayAvgUseBindProportionRatio;

    /**
     * 点击客户数
     */
    private Integer clickUserNum;

    /**
     * 客户点击环比
     */
    private BigDecimal userClickNumRatio;

    /**
     * 转化客户数
     */
    private Integer convUserNum;

    /**
     * 客户转化环比
     */
    private BigDecimal convUserNumRatio;

    /**
     * 客户转化金额
     */
    private BigDecimal convSalesNmt;

    /**
     * 转化金额排名
     */
    private Integer convSalesAmtRank;

    /**
     * 转化金额环比
     */
    private BigDecimal convSalesAmtRatio;

    /**
     * 门店id
     */
    private String storeId;

    /**
     * 门店code
     */
    private String storeCode;

    /**
     * 门店名称
     */
    private String storeName;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 导购名称
     */
    private String clerkName;

    /**
     * 导购code
     */
    private String clerkCode;

    /**
     * 导购头像
     */
    private String imageUrl;
}
