package com.gic.haoban.manage.web.vo.target;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author guojx
 * @Date 2023/6/9 9:21
 */
@Data
public class StoreTargetDisassemblyDetailVO implements Serializable {
    private String storeId;

    private String storeName;

    private String storeGroupId;

    private String storeGroupName;

    private String storeCode;

    /**
     * 会员消费次数实际值 排序7
     */
    private Integer mbrCsmeCnt;

    /**
     * 会员消费次数去年同期值 排序8
     */
    private Integer mbrCsmeCntSply;

    /**
     * 会员消费次数全年目标值 排序9
     */
    private Integer mbrCsmeCntTarget;

    /**
     * 会员消费次数当前应达目标值 排序10
     */
    private Integer mbrCsmeCntCurTarget;

    /**
     * 会员消费次数滚动达成率 排序11
     */
    private Double mbrCsmeCntRollAch;

    /**
     * 会员消费次数累计达成率 排序12
     */
    private Double mbrCsmeCntAccAch;

    /**
     * 存量会员消费总次数实际值 排序19
     */
    private Integer stockMbrCsmeCnt;

    /**
     * 存量会员消费总次数去年同期值 排序20
     */
    private Integer stockMbrCsmeCntSply;

    /**
     * 存量会员消费总次数全年目标值 排序21
     */
    private Integer stockMbrCsmeCntTarget;

    /**
     * 存量会员消费总次数当前应达目标值 排序22
     */
    private Integer stockMbrCsmeCntCurTarget;

    /**
     * 存量会员消费总次数滚动达成率 排序23
     */
    private Double stockMbrCsmeCntRollAch;

    /**
     * 存量会员消费总次数累计达成率 排序24
     */
    private Double stockMbrCsmeCntAccAch;

    /**
     * 新增会员消费总次数实际值 排序25
     */
    private Integer newMbrCsmeCnt;

    /**
     * 新增会员消费总次数去年同期值 排序26
     */
    private Integer newMbrCsmeCntSply;

    /**
     * 新增会员消费总次数全年目标值 排序27
     */
    private Integer newMbrCsmeCntTarget;

    /**
     * 新增会员消费总次数当前应达目标值 排序28
     */
    private Integer newMbrCsmeCntCurTarget;

    /**
     * 新增会员消费总次数滚动达成率 排序29
     */
    private Double newMbrCsmeCntRollAch;

    /**
     * 新增会员消费总次数累计达成率 排序30
     */
    private Double newMbrCsmeCntAccAch;

}
