package com.gic.haoban.manage.web.vo.target;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author guojx
 * @Date 2023/6/9 9:21
 */
@Data
public class StoreTargetReachDetailVO implements Serializable {
    private String storeId;

    private String storeName;

    private String storeGroupId;

    private String storeGroupName;

    private String storeCode;

    /**
     * 总销售额(目标值)  排序1
     */
    private Double payAmtTarget;

    /**
     * 总销售额(实际值)  排序9
     */
    private Double payAmt;

    /**
     * 总销售额(去年同期)  排序17
     */
    private Double payAmtSply;

    /**
     * 总销售额(当前应达目标值)  排序25
     */
    private Double payAmtCurTarget;

    /**
     * 滚动达成率(总销售额)  排序33
     */
    private Double payAmtRollAch;

    /**
     * 累计达成率(总销售额)  排序34
     */
    private Double payAmtAccAch;

    /**
     * 会员销售额（消费门店）(目标值)  排序2
     */
    private Double mbrPayAmtTarget;

    /**
     * 会员销售额（消费门店）(实际值)  排序10
     */
    private Double mbrPayAmt;

    /**
     * 会员销售额（消费门店）(去年同期)   排序18
     */
    private Double mbrPayAmtSply;

    /**
     * 会员销售额（消费门店）(当前应达目标值)  排序26
     */
    private Double mbrPayAmtCurTarget;

    /**
     * 滚动达成率(会员销售额)  排序39
     */
    private Double mbrPayAmtRollAch;

    /**
     * 累计达成率(会员销售额)  排序40
     */
    private Double mbrPayAmtAccAch;

    /**
     * 会员订单率(目标值)  排序7
     */
    private Double mbrOrderRateTarget;

    /**
     * 会员订单率(实际值)  排序15
     */
    private Double mbrOrderRate;

    /**
     * 会员订单率(去年同期)  排序23
     */
    private Double mbrOrderRateSply;

    /**
     * 会员订单率(当前应达目标值)  排序31
     */
    private Double mbrOrderRateCurTarget;

    /**
     * 滚动达成率(会员订单率)  排序45
     */
    private Double mbrOrderRateRollAch;

    /**
     * 累计达成率(会员订单率)  排序46
     */
    private Double mbrOrderRateAccAch;

}
